# /etc/nixos/flake.nix
{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { nixpkgs, ... }:
   let
    pkgs = import nixpkgs { system = "x86_64-linux";
      overlays = [
        ( final: prev: {
            jetbrains.phpstorm = prev.jetbrains.phpstorm.overrideAttrs (old: {
              src = prev.fetchFromGithub {
                owner = "freelock";
                repo = "nixpkgs";
                rev = "b324cfea863d9191518b96774e1317a6d933075f";
                hash ="";
              };
            });
        } )
      ];
    };
    in {
    nixosConfigurations.valhalla = pkgs.nixos {
      imports = [ ./hosts/desktop/valhalla/configuration.nix ];
    };
    nixosConfigurations.katmai = nixpkgs.lib.nixosSystem {
      # NOTE: Change this to aarch64-linux if you are on ARM
      system = "x86_64-linux";
      modules = [ ./hosts/desktop/katmai/configuration.nix ];
    };
  };
}
